import logging

from pylons import request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

from helloworld.lib.base import BaseController, render
from helloworld import model

log = logging.getLogger(__name__)

class HelloController(BaseController):

    def index(self):
        # Return a rendered template
        #return render('/hello.mako')
        # or, return a response
        return 'Hello World!'
    
    def hello(self):
        # Return a rendered template
        return render('/hello.mako')
    
    def hellodb(self):
        # Return a rendered template
        c.hello = model.meta.Session.query(model.Hello).all()
        return render('/db.mako')
    
    def raw_sql(self):
        output = ''
        hello = model.meta.Session.query(model.Hello).all()
        for row in hello:
            output += str(row.id) + ' - ' + row.data + '\n'
        return output
